import React, { Component } from 'react';
import { PullToRefresh } from 'antd-mobile';
import styles from './style.css';
import RepairItem from './components/RepairItem';
import { fetchRepairList } from '../../api/index';

class RepairList extends Component {
  constructor(props) {
    super(props);
    this.state = {
      refreshing: false,
      down: true,
      height: document.documentElement.clientHeight,
      pagination: {
        pageNum: 1,
        pageSize: 50,
      },
      list: [],
      demoList: [
        {
          address: '该卡北师大ask绝对不阿斯顿快捷巴士的科比爱的快捷巴士的空间',
          applyCellphone: '18108099999',
          applyIdentity: 'string',
          area: 'string',
          areaId: 0,
          createDate: '2018-09-27T03:18:47.973Z',
          dealDate: '2018-09-27T03:18:47.973Z',
          dealState: 1,
          endDate: '2018-09-27T03:18:47.973Z',
          id: 0,
          name: 'string',
          pageNum: 0,
          pageSize: 0,
          repairCellphone: 'string',
          startDate: '2018-09-27T03:18:47.973Z',
          term: 'f阿斯顿 adasdasdasdasdasd',
          termId: 0,
          uploadImg: 'string',
          userId: 0,
        },
        {
          address: 'string',
          applyCellphone: 'string',
          applyIdentity: 'string',
          area: 'string',
          areaId: 0,
          createDate: '2018-09-27T03:18:47.973Z',
          dealDate: '2018-09-27T03:18:47.973Z',
          dealState: 2,
          endDate: '2018-09-27T03:18:47.973Z',
          id: 1,
          name: 'string',
          pageNum: 0,
          pageSize: 0,
          repairCellphone: 'string',
          startDate: '2018-09-27T03:18:47.973Z',
          term: 'string',
          termId: 0,
          uploadImg: '',
          userId: 0,
        },
      ],
    };
  }
  componentDidMount() {
    let wrap = document.querySelector('.RepairContent');
    const hei = wrap.clientHeight;
    setTimeout(
      () =>
        this.setState({
          height: hei,
        }),
      0
    );
    const { pagination } = this.state;
    fetchRepairList({
      ...pagination,
    }).then(res => {
      console.log(res);
    });
  }
  refreshHandle = () => {
    this.setState({ refreshing: true });
    setTimeout(() => {
      this.setState({ refreshing: false });
    }, 1000);
  };
  render() {
    return (
      <div className={styles.repairList}>
        <PullToRefresh
          damping={60}
          ref={el => (this.ptr = el)}
          style={{
            height: this.state.height,
            overflow: 'auto',
          }}
          indicator={{ deactivate: '上拉可以刷新' }}
          direction={'up'}
          refreshing={this.state.refreshing}
          onRefresh={this.refreshHandle}
        >
          <div className={styles.listInfo}>显示最近半年的报修记录</div>
          {this.state.list.length ? (
            this.state.list.map(i => <RepairItem key={i.id} data={i} />)
          ) : (
            <div className={styles.noData}>暂无数据</div>
          )}
        </PullToRefresh>
      </div>
    );
  }
}

export default RepairList;
